package com.iamberry.wechat.face.official;

import com.iamberry.wechat.core.entity.official.Prospectus;

import java.util.List;

/**
 *  watero官网授权管理接口
 * @author
 * @Date 2018-12-24
 */
public interface ProspectusService {
    /**
     * 获取集合
     * @param  prospectus
     * @return List
     */
    List<Prospectus> getProspectusList(Prospectus prospectus);

    /**
     * 集合
     * @param  prospectus
     * @return List
     */
    List<Prospectus> selectProspectusPage(Prospectus prospectus);

    /**
     * 总数
     * @param prospectus
     * @return
     */
    Integer selectProspectusCount(Prospectus prospectus);

    /**
     * 查询单条数据
     * @param  id
     * @return  prospectus
     */
    Prospectus  getProspectusById(Integer id);
    /**
     * 查询单条数据
     * @param  code
     * @return  prospectus
     */
    Prospectus  getProspectusByCode(String code);
    /**
     * 增加数据
     * @param  prospectus
     * @return Integer
     */
    Integer  save(Prospectus prospectus);
    /**
     * 修改数据
     * @param  prospectus
     * @return Integer
     */
    Integer  update(Prospectus prospectus);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer id);
}